petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCDeflationSetCorrectionFactor

Set coarse problem correction factor. The Preconditioner becomes P*M^{-1} + fact*Q.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetCorrectionFactor(PC pc,PetscScalar fact)

Logically Collective

### Input Parameters

| pc | - the preconditioner context
| fact | - correction factor

### Options Database Keys

| -pc_deflation_correction <false> | - if true apply coarse problem correction
| -pc_deflation_correction_factor <1.0> | - sets coarse problem correction factor

### Notes

Any non-zero fact enables the coarse problem correction.

### See Also

PCDEFLATION

### Level

intermediate

### Location

src/ksp/pc/impls/deflation/deflation.c

### Implementations

PCDeflationSetCorrectionFactor_Deflation in src/ksp/pc/impls/deflation/deflation.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages